#ifndef headerfilecompileconfig
#define headerfilecompileconfig


/*!
	this macro disables visual c warnings about deprecated unsafe standard functions
	like fopen etc.
*/
#define _CRT_SECURE_NO_DEPRECATE



/*!
	the number of build
	(autoincrement by a compile script)
*/
#define TTCALC_BUILD 1


/*!
	the version of the application
*/
#define TTCALC_MAJOR_VER		0
#define TTCALC_MINOR_VER		7
#define TTCALC_REVISION_VER		0


/*!
	this disables a Visual C++ warning about converting int to bool
	"warning C4800: 'int' : forcing value to bool 'true' or 'false' (performance warning)"
*/
#ifdef _MSC_VER
#pragma warning (disable : 4800)
#endif

#define _WIN32_IE	0x0501

#endif
