#ifndef headerfilewinmain
#define headerfilewinmain

/*!
	\file mainwin.h
    \brief some declarations of variables or functions used in winmain.cpp and mainwindow.cpp
*/

#include "programresources.h"
#include "resource.h"
#include "messages.h"
#include "tabs.h"

#include <windows.h>
#include <commctrl.h>
#include <process.h>

#include <map>


BOOL CALLBACK MainWindowProc(HWND hWnd, UINT messge, WPARAM wParam, LPARAM lParam);
//DWORD WINAPI CalculationsProcedure(LPVOID lpParameter);
unsigned __stdcall CalculationsProcedure(void *);
int ShowError( Languages::GuiMsg error_code );
void MainMessagesLoop();


namespace MainWindowFunctions
{
	void CreateMainMessagesTable(Messages & messages);
	BOOL CALLBACK AboutProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);
}

#endif
