#include "compileconfig.h"
#include "tabs.h"

namespace TabWindowFunctions
{
int tab_standard;
int tab_variables;
int tab_functions;
int tab_precision;
int tab_display;

	
void WpiszTekst(const char * tekst, int cofnac = 0)
{
	SetFocus(GetDlgItem(GetPrgRes()->GetMainWindow(),IDC_INPUT_EDIT));
	
	for( ; *tekst ; ++tekst )
		SendDlgItemMessage(GetPrgRes()->GetMainWindow(),IDC_INPUT_EDIT,WM_CHAR,*tekst,0x20001);

	if(cofnac)
	{
		DWORD l1,l2;

		SendDlgItemMessage(GetPrgRes()->GetMainWindow(),IDC_INPUT_EDIT,EM_GETSEL,(WPARAM)&l1,(LPARAM)&l2);
		// l1 bedzie rowne l2 gdyz wczesniej posylalismy WM_CHAR

		SendDlgItemMessage(GetPrgRes()->GetMainWindow(),IDC_INPUT_EDIT,EM_SETSEL,l1+cofnac,l2+cofnac);
	}
}

/*
	a function for WM_COMMAND and LOWORD(wParam)
	from IDC_BUTTON_PRESS_0 to IDC_BUTTON_PRESS_9
*/
BOOL WmTabCommand_Press_0_9(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	SetFocus(GetDlgItem(GetPrgRes()->GetMainWindow(),IDC_INPUT_EDIT));
	SendDlgItemMessage(GetPrgRes()->GetMainWindow(),IDC_INPUT_EDIT,WM_CHAR,LOWORD(wParam)-IDC_BUTTON_PRESS_0+'0',0x20001);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON28
*/
BOOL WmTabCommand_Press_e(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("e",0);

return true;
}


BOOL WmTabCommand_Press_comma(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst(".",0);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON27
*/
BOOL WmTabCommand_Press_pi(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("pi",0);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON10
*/
BOOL WmTabCommand_Press_sin(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("sin()",-1);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON11
*/
BOOL WmTabCommand_Press_cos(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("cos()",-1);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON12
*/
BOOL WmTabCommand_Press_tan(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("tan()",-1);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON13
*/
BOOL WmTabCommand_Press_ctan(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("ctan()",-1);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON14
*/
BOOL WmTabCommand_Press_ln(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("ln()",-1);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON24
*/
BOOL WmTabCommand_Press_log(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("log( ; )",-4);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON26
*/
BOOL WmTabCommand_Press_abs(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("abs()",-1);

return true;
}


/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_factorial(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("factorial()",-1);

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_div(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("/", 0);

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_mul(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("*",0);

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_sub(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("-",0);

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_add(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("+",0);

return true;
}
/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_first_bracket(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("(",0);

return true;
}
/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_last_bracket(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst(")",0);

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_clear(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	SetDlgItemText(GetPrgRes()->GetMainWindow(), IDC_INPUT_EDIT, "");

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_power(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("^",0);

return true;
}
/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_int(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("int()",-1);

return true;
}
/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_round(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("round()",-1);

return true;
}

/*
	a function for WM_COMMAND and LOWORD(wParam)==IDC_BUTTON25
*/
BOOL WmTabCommand_Press_exp(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	WpiszTekst("exp()",-1);

return true;
}





BOOL WmTabCommand_Ok(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
int tab = TabCtrl_GetCurSel(GetParent(hWnd));

	if( tab == tab_variables )
	{
		Variables::WmTabCommand_EditVariable(hWnd, WM_COMMAND, IDC_BUTTON_EDIT_VARIABLE, 0);
	}
	else
	if( tab == tab_functions )
	{
		Functions::WmTabCommand_EditFunction(hWnd, WM_COMMAND, IDC_BUTTON_EDIT_FUNCTION, 0);
	}

return true;
}



void SetLanguageTabStandard(HWND hWnd)
{
	SetDlgItemText( hWnd,IDC_BUTTON_CLEAR, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_clear) );
}

void SetLanguageTabVariables(HWND hWnd)
{
	SetDlgItemText( hWnd,IDC_BUTTON_ADD_VARIABLE, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_add) );
	SetDlgItemText( hWnd,IDC_BUTTON_EDIT_VARIABLE, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_edit) );
	SetDlgItemText( hWnd,IDC_BUTTON_DELETE_VARIABLE, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_delete) );

	HWND list = GetDlgItem(hWnd, IDC_VARIABLES_LIST);
	LVCOLUMN column;

	column.mask    = LVCF_TEXT;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_variables_header_1) );
	ListView_SetColumn(list,0,&column);

	column.mask    = LVCF_TEXT;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_variables_header_2) );
	ListView_SetColumn(list,1,&column);
}

void SetLanguageTabFunctions(HWND hWnd)
{
	SetDlgItemText( hWnd,IDC_BUTTON_ADD_FUNCTION, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_add) );
	SetDlgItemText( hWnd,IDC_BUTTON_EDIT_FUNCTION, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_edit) );
	SetDlgItemText( hWnd,IDC_BUTTON_DELETE_FUNCTION, GetPrgRes()->GetLanguages()->GuiMessage(Languages::button_delete) );

	HWND list = GetDlgItem(hWnd, IDC_FUNCTIONS_LIST);
	LVCOLUMN column;

	column.mask    = LVCF_TEXT;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_functions_header_1) );
	ListView_SetColumn(list,0,&column);

	column.mask    = LVCF_TEXT;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_functions_header_2) );
	ListView_SetColumn(list,1,&column);

	column.mask    = LVCF_TEXT;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_functions_header_3) );
	ListView_SetColumn(list,2,&column);
}


void SetLanguageTabPrecision(HWND hWnd)
{
	SetDlgItemText(hWnd, IDC_RADIO_PRECISION_1, GetPrgRes()->GetLanguages()->GuiMessage(Languages::radio_precision_1) );
	SetDlgItemText(hWnd, IDC_RADIO_PRECISION_2, GetPrgRes()->GetLanguages()->GuiMessage(Languages::radio_precision_2) );
	SetDlgItemText(hWnd, IDC_RADIO_PRECISION_3, GetPrgRes()->GetLanguages()->GuiMessage(Languages::radio_precision_3) );

	SetDlgItemText(hWnd, IDC_LABEL_PRECISION_1_INFO, GetPrgRes()->GetLanguages()->GuiMessage(Languages::precision_1_info) );
	SetDlgItemText(hWnd, IDC_LABEL_PRECISION_2_INFO, GetPrgRes()->GetLanguages()->GuiMessage(Languages::precision_2_info) );
	SetDlgItemText(hWnd, IDC_LABEL_PRECISION_3_INFO, GetPrgRes()->GetLanguages()->GuiMessage(Languages::precision_3_info) );
}

void SetLanguageTabDisplay(HWND hWnd)
{
char buffer[50];
int i;

	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_RESETCONTENT, 0, 0);

	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_ADDSTRING, 0, (LPARAM)GetPrgRes()->GetLanguages()->GuiMessage(Languages::combo_rounding_cut_last_digits) );
	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_ADDSTRING, 0, (LPARAM)GetPrgRes()->GetLanguages()->GuiMessage(Languages::combo_rounding_none) );
	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_ADDSTRING, 0, (LPARAM)GetPrgRes()->GetLanguages()->GuiMessage(Languages::combo_rounding_integer) );

	const int max_r = 9;
	for(i=1 ; i<=max_r ; ++i)
	{
		sprintf(buffer,"%s %d %s",
			GetPrgRes()->GetLanguages()->GuiMessage(Languages::combo_rounding_to_number),
			i,
			GetPrgRes()->GetLanguages()->GuiMessage(Languages::combo_rounding_after_comma) );

		SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_ADDSTRING, 0, (LPARAM)buffer);
	}

	int r = GetPrgRes()->GetDisplayRounding();
	if( r > max_r )
		r = max_r;

	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_SETCURSEL, r+2, 0);


	SetDlgItemText(hWnd, IDC_LABEL_DISPLAY_INPUT, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_input));
	SetDlgItemText(hWnd, IDC_LABEL_DISPLAY_OUTPUT, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_output));
	SetDlgItemText(hWnd, IDC_LABEL_DISPLAY_ROUNDING, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_rounding));

	SetDlgItemText(hWnd, IDC_RADIO_DISPLAY_ALWAYS_SCIENTIFIC, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_always_scientific));
	SetDlgItemText(hWnd, IDC_RADIO_DISPLAY_NOT_ALWAYS_SCIENTIFIC, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_not_always_scientific));

	SetDlgItemText(hWnd, IDC_LABEL_DIGIT, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_digit));
	SetDlgItemText(hWnd, IDC_LABEL_GROUP_SCIENTIFIC, GetPrgRes()->GetLanguages()->GuiMessage(Languages::display_group_scientific));
}


void SetLanguage(HWND hTab)
{
TCITEM tab;
	
	tab.mask = TCIF_TEXT;

	tab.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::tab_standard) );
	TabCtrl_SetItem(hTab,tab_standard, &tab);

	tab.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::tab_variables) );
	TabCtrl_SetItem(hTab,tab_variables, &tab);

	tab.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::tab_functions) );
	TabCtrl_SetItem(hTab,tab_functions, &tab);

	tab.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::tab_precision) );
	TabCtrl_SetItem(hTab,tab_precision, &tab);

	tab.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::tab_display) );
	TabCtrl_SetItem(hTab,tab_display, &tab);

	SetLanguageTabStandard(  GetPrgRes()->GetTabWindow(tab_standard)  );
	SetLanguageTabVariables( GetPrgRes()->GetTabWindow(tab_variables) );
	SetLanguageTabFunctions( GetPrgRes()->GetTabWindow(tab_functions) );
	SetLanguageTabPrecision( GetPrgRes()->GetTabWindow(tab_precision) );
	SetLanguageTabDisplay(   GetPrgRes()->GetTabWindow(tab_display)   );
		
	InvalidateRect(hTab, 0, false);
}


BOOL WmTabCommand_SetPrecision1(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	// there are another messages besides that one
	// which is sent when a user clicks on the radio button
	if( IsDlgButtonChecked(hWnd, IDC_RADIO_PRECISION_1) != BST_CHECKED )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetPrecision(0);
	GetPrgRes()->GetThreadController()->StartCalculating();

return true;
}

BOOL WmTabCommand_SetPrecision2(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	// there are another messages besides that one
	// which is sent when a user clicks on the radio button
	if( IsDlgButtonChecked(hWnd, IDC_RADIO_PRECISION_2) != BST_CHECKED )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetPrecision(1);
	GetPrgRes()->GetThreadController()->StartCalculating();

return true;
}

BOOL WmTabCommand_SetPrecision3(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	// there are another messages besides that one
	// which is sent when a user clicks on the radio button
	if( IsDlgButtonChecked(hWnd, IDC_RADIO_PRECISION_3) != BST_CHECKED )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetPrecision(2);
	GetPrgRes()->GetThreadController()->StartCalculating();

return true;
}

BOOL WmTabCommand_DisplayInputChanged(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	if( HIWORD(wParam) != CBN_SELCHANGE )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetBaseInput( (int)SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_INPUT, CB_GETCURSEL, 0, 0) + 2 );
	GetPrgRes()->GetThreadController()->StartCalculating();

return true;
}


BOOL WmTabCommand_DisplayOutputChanged(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	if( HIWORD(wParam) != CBN_SELCHANGE )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetBaseOutput( (int)SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_OUTPUT, CB_GETCURSEL, 0, 0) + 2);
	GetPrgRes()->GetThreadController()->StartCalculating();

return true;
}


BOOL WmTabCommand_DisplayRoundingChanged(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	if( HIWORD(wParam) != CBN_SELCHANGE )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetDisplayRounding( (int)SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_ROUNDING, CB_GETCURSEL, 0, 0) - 2);
	GetPrgRes()->GetThreadController()->StartCalculating();

return true;
}


void SetDisablingDisplayWhenScientific(HWND hWnd)
{
	if( IsDlgButtonChecked(hWnd, IDC_RADIO_DISPLAY_ALWAYS_SCIENTIFIC) == BST_CHECKED )
	{
		EnableWindow(GetDlgItem(hWnd, IDC_UPDOWN_DISPLAY_WHEN_SCIENTIFIC), false);
		EnableWindow(GetDlgItem(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC), false);
		EnableWindow(GetDlgItem(hWnd, IDC_LABEL_DIGIT), false);
	}
	else
	{
		EnableWindow(GetDlgItem(hWnd, IDC_UPDOWN_DISPLAY_WHEN_SCIENTIFIC), true);
		EnableWindow(GetDlgItem(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC), true);
		EnableWindow(GetDlgItem(hWnd, IDC_LABEL_DIGIT), true);
	}
}


BOOL WmTabCommand_SetDisplayAlwaysScientific(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	// there are another messages besides that one
	// which is sent when a user clicks on the radio button
	if( IsDlgButtonChecked(hWnd, IDC_RADIO_DISPLAY_ALWAYS_SCIENTIFIC) != BST_CHECKED )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetDisplayAlwaysScientific(true);
	GetPrgRes()->GetThreadController()->StartCalculating();

	SetDisablingDisplayWhenScientific(hWnd);

return true;
}


BOOL WmTabCommand_SetDisplayNotAlwaysScientific(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	// there are another messages besides that one
	// which is sent when a user clicks on the radio button
	if( IsDlgButtonChecked(hWnd, IDC_RADIO_DISPLAY_NOT_ALWAYS_SCIENTIFIC) != BST_CHECKED )
		return false;

	GetPrgRes()->GetThreadController()->StopCalculating();
	GetPrgRes()->SetDisplayAlwaysScientific(false);
	GetPrgRes()->GetThreadController()->StartCalculating();

	SetDisablingDisplayWhenScientific(hWnd);

return true;
}



BOOL WmTabCommand_SetDisplayWhenScientific(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
static bool correct_insertion = false;

	if( HIWORD(wParam)==EN_CHANGE && !correct_insertion )
	{	
		char buffer[20];

		GetDlgItemText(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC, buffer, sizeof(buffer)/sizeof(char));
		int w2,w1 = atoi(buffer);

		GetPrgRes()->GetThreadController()->StopCalculating();
		GetPrgRes()->SetDisplayWhenScientific(w1);
		w2 = GetPrgRes()->GetDisplayWhenScientific();
		GetPrgRes()->GetThreadController()->StartCalculating();
	
		if( w1 != w2 )
		{
			sprintf(buffer,"%d", w2);

			//
			correct_insertion = true;
			SetDlgItemText(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC, buffer);
			correct_insertion = false;
		}
	}



return true;
}



void CreateTabCommandMessagesTable(Messages & cmessages)
{
	cmessages.Associate(IDC_BUTTON_PRESS_0, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_1, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_2, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_3, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_4, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_5, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_6, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_7, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_8, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_PRESS_9, WmTabCommand_Press_0_9);
	cmessages.Associate(IDC_BUTTON_COMMA,   WmTabCommand_Press_comma);

	cmessages.Associate(IDC_BUTTON_E,  WmTabCommand_Press_e);
	cmessages.Associate(IDC_BUTTON_PI, WmTabCommand_Press_pi);
	cmessages.Associate(IDC_BUTTON_SIN, WmTabCommand_Press_sin);
	cmessages.Associate(IDC_BUTTON_COS, WmTabCommand_Press_cos);
	cmessages.Associate(IDC_BUTTON_TAN, WmTabCommand_Press_tan);
	cmessages.Associate(IDC_BUTTON_CTAN, WmTabCommand_Press_ctan);
	cmessages.Associate(IDC_BUTTON_LN, WmTabCommand_Press_ln);
	cmessages.Associate(IDC_BUTTON_LOG, WmTabCommand_Press_log);
	cmessages.Associate(IDC_BUTTON_ABS, WmTabCommand_Press_abs);
	cmessages.Associate(IDC_BUTTON_FACTORIAL, WmTabCommand_Press_factorial);

	
	cmessages.Associate(IDC_BUTTON_DIV, WmTabCommand_Press_div);
	cmessages.Associate(IDC_BUTTON_MUL, WmTabCommand_Press_mul);
	cmessages.Associate(IDC_BUTTON_SUB, WmTabCommand_Press_sub);
	cmessages.Associate(IDC_BUTTON_ADD, WmTabCommand_Press_add);
	cmessages.Associate(IDC_BUTTON_FIRST_BRACKET, WmTabCommand_Press_first_bracket);
	cmessages.Associate(IDC_BUTTON_LAST_BRACKET, WmTabCommand_Press_last_bracket);
	
	cmessages.Associate(IDC_BUTTON_CLEAR, WmTabCommand_Press_clear);



	cmessages.Associate(IDC_BUTTON_POWER, WmTabCommand_Press_power);
	cmessages.Associate(IDC_BUTTON_INT, WmTabCommand_Press_int);
	cmessages.Associate(IDC_BUTTON_ROUND, WmTabCommand_Press_round);
	cmessages.Associate(IDC_BUTTON_EXP, WmTabCommand_Press_exp);

	cmessages.Associate(IDC_BUTTON_ADD_VARIABLE, Variables::WmTabCommand_AddVariable);
	cmessages.Associate(IDC_BUTTON_EDIT_VARIABLE, Variables::WmTabCommand_EditVariable);
	cmessages.Associate(IDC_BUTTON_DELETE_VARIABLE, Variables::WmTabCommand_DeleteVariable);

	cmessages.Associate(IDOK, WmTabCommand_Ok);

	cmessages.Associate(IDC_BUTTON_ADD_FUNCTION, Functions::WmTabCommand_AddFunction);
	cmessages.Associate(IDC_BUTTON_EDIT_FUNCTION, Functions::WmTabCommand_EditFunction);
	cmessages.Associate(IDC_BUTTON_DELETE_FUNCTION, Functions::WmTabCommand_DeleteFunction);

	cmessages.Associate(IDC_RADIO_PRECISION_1, WmTabCommand_SetPrecision1);
	cmessages.Associate(IDC_RADIO_PRECISION_2, WmTabCommand_SetPrecision2);
	cmessages.Associate(IDC_RADIO_PRECISION_3, WmTabCommand_SetPrecision3);

	cmessages.Associate(IDC_COMBO_DISPLAY_INPUT, WmTabCommand_DisplayInputChanged);
	cmessages.Associate(IDC_COMBO_DISPLAY_OUTPUT, WmTabCommand_DisplayOutputChanged);
	cmessages.Associate(IDC_COMBO_DISPLAY_ROUNDING, WmTabCommand_DisplayRoundingChanged);
	cmessages.Associate(IDC_RADIO_DISPLAY_ALWAYS_SCIENTIFIC, WmTabCommand_SetDisplayAlwaysScientific);
	cmessages.Associate(IDC_RADIO_DISPLAY_NOT_ALWAYS_SCIENTIFIC, WmTabCommand_SetDisplayNotAlwaysScientific);
	cmessages.Associate(IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC, WmTabCommand_SetDisplayWhenScientific);

}

/*
	a function for WM_COMMAND for dialogs which are on the tab
*/
BOOL WmTabCommand(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
static Messages command_messages;
	
	if( command_messages.Empty() )
		// initiation
		CreateTabCommandMessagesTable(command_messages);

return command_messages.Call(LOWORD(wParam), hWnd, message, wParam, lParam);
}

BOOL WmTabInitDialog(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	return true;
}

/*
int SetSizeOfList(HWND list)
{
	return 0;

	RECT r1,r2;
	GetWindowRect(GetParent(list), &r1);
	GetWindowRect(list, &r2);

	int cx = (r1.right - r1.left) - GetSystemMetrics(SM_CXEDGE) - 87;
	SetWindowPos(list,0,0,0,cx,r2.bottom-r2.top,SWP_NOOWNERZORDER|SWP_NOMOVE);

return cx;
}
*/

/*!
	this function is enabling or disabling the 'edit' and 'delete' buttons
	on the variable's tab depending on how many variables are selected in the list
*/
void SetDisablingEditDeleteVariableButtons(HWND hWnd)
{
HWND list = GetDlgItem(hWnd,IDC_VARIABLES_LIST);

int count = ListView_GetSelectedCount(list);

	if( count == 1 )
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_EDIT_VARIABLE), true);
	else
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_EDIT_VARIABLE), false);


	if( count != 0 )
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_DELETE_VARIABLE), true);
	else
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_DELETE_VARIABLE), false);
}


/*!
	this function is enabling or disabling the 'edit' and 'delete' buttons
	on the function's tab depending on how many variables are selected in the list
*/
void SetDisablingEditDeleteFunctionButtons(HWND hWnd)
{
HWND list = GetDlgItem(hWnd,IDC_FUNCTIONS_LIST);

int count = ListView_GetSelectedCount(list);

	if( count == 1 )
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_EDIT_FUNCTION), true);
	else
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_EDIT_FUNCTION), false);


	if( count != 0 )
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_DELETE_FUNCTION), true);
	else
		EnableWindow(GetDlgItem(hWnd, IDC_BUTTON_DELETE_FUNCTION), false);
}

void FillUpVariableList(HWND list)
{
	// we don't have to block the second thread here
	// because it can only read from variables' table
	// (we can read and the second thread can read in the same time as well)
	ttmath::Objects::CIterator iv = GetPrgRes()->GetVariables()->Begin();

	for( ; iv != GetPrgRes()->GetVariables()->End() ; ++iv )
		Variables::AddNewItemToVariableList(list, iv->first, iv->second.value);
}

void FillUpFunctionList(HWND list)
{
	// we don't have to block the second thread here
	// because it can only read from functions' table
	// (we can read and the second thread can read in the same time as well)
	ttmath::Objects::CIterator iv = GetPrgRes()->GetFunctions()->Begin();

	for( ; iv != GetPrgRes()->GetFunctions()->End() ; ++iv )
		Functions::AddNewItemToFunctionList(list, iv->first, iv->second.value, iv->second.param);
}


BOOL WmInitTabVariables(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
HWND list = GetDlgItem(hWnd, IDC_VARIABLES_LIST);
LVCOLUMN column;

	//int list_cx = SetSizeOfList(list);
	int list_cx = 280;

	column.mask    = LVCF_TEXT | LVCF_WIDTH;
	column.cx      = 60;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_variables_header_1) );
	ListView_InsertColumn(list, 0, &column);

	column.cx      = list_cx - 60 - 10;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_variables_header_2) );
	ListView_InsertColumn(list, 1, &column);

	ListView_SetExtendedListViewStyle(list,LVS_EX_FULLROWSELECT);

	SetDisablingEditDeleteVariableButtons(hWnd);
	FillUpVariableList(list);

return true;
}

BOOL WmInitTabFunctions(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
HWND list = GetDlgItem(hWnd, IDC_FUNCTIONS_LIST);
LVCOLUMN column;

	//int list_cx = SetSizeOfList(list);
	int list_cx = 280;

	column.mask    = LVCF_TEXT | LVCF_WIDTH;
	column.cx      = 60;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_functions_header_1) );
	ListView_InsertColumn(list, 0, &column);

	column.cx      = 40;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_functions_header_2) );
	ListView_InsertColumn(list, 1, &column);

	column.cx      = list_cx - 60 - 40 - 10;
	column.pszText = const_cast<char*>( GetPrgRes()->GetLanguages()->GuiMessage(Languages::list_functions_header_3) );
	ListView_InsertColumn(list, 2, &column);

	ListView_SetExtendedListViewStyle(list,LVS_EX_FULLROWSELECT);

	SetDisablingEditDeleteFunctionButtons(hWnd);
	FillUpFunctionList(list);

return true;
}


BOOL WmInitTabPrecision(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	CheckDlgButton(hWnd, IDC_RADIO_PRECISION_1 + GetPrgRes()->GetPrecision(), BST_CHECKED);

return true;
}




BOOL WmInitTabDisplay(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
int i;
char buffer[20];

	for(i=2 ; i<=16 ; ++i)
	{
		sprintf(buffer,"%d",i);		

		switch( i )
		{
		case 2:
			strcat(buffer, " (bin)");
			break;

		case 8:
			strcat(buffer, " (oct)");
			break;

		case 10:
			strcat(buffer, " (dec)");
			break;

		case 16:
			strcat(buffer, " (hex)");
			break;
		}

		SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_INPUT, CB_ADDSTRING, 0, (LPARAM)buffer);
		SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_OUTPUT, CB_ADDSTRING, 0, (LPARAM)buffer);
	} // for

	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_INPUT, CB_SETCURSEL, GetPrgRes()->GetBaseInput()-2, 0);
	SendDlgItemMessage(hWnd, IDC_COMBO_DISPLAY_OUTPUT, CB_SETCURSEL, GetPrgRes()->GetBaseOutput()-2, 0);


	if( GetPrgRes()->GetDisplayAlwaysScientific() )
		CheckDlgButton(hWnd, IDC_RADIO_DISPLAY_ALWAYS_SCIENTIFIC, BST_CHECKED);
	else
		CheckDlgButton(hWnd, IDC_RADIO_DISPLAY_NOT_ALWAYS_SCIENTIFIC, BST_CHECKED);

	SetDisablingDisplayWhenScientific(hWnd);

	SendDlgItemMessage(hWnd, IDC_UPDOWN_DISPLAY_WHEN_SCIENTIFIC, UDM_SETBASE, 10,0);
	SendDlgItemMessage(hWnd, IDC_UPDOWN_DISPLAY_WHEN_SCIENTIFIC, UDM_SETRANGE, 0, MAKELONG(99,1));
	SendDlgItemMessage(hWnd, IDC_UPDOWN_DISPLAY_WHEN_SCIENTIFIC, UDM_SETPOS, 0, 5);
	SendDlgItemMessage(hWnd, IDC_UPDOWN_DISPLAY_WHEN_SCIENTIFIC, UDM_SETBUDDY, (WPARAM)GetDlgItem(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC), 0);
	SendDlgItemMessage(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC, EM_SETLIMITTEXT, 2, 0);

	sprintf(buffer,"%d", GetPrgRes()->GetDisplayWhenScientific());
	SetDlgItemText(hWnd, IDC_EDIT_DISPLAY_WHEN_SCIENTIFIC, buffer);

return true;
}

BOOL WmNotify(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
NMHDR * pnmh = (LPNMHDR) lParam;
HWND var_list = GetDlgItem(hWnd,IDC_VARIABLES_LIST);
HWND fun_list = GetDlgItem(hWnd,IDC_FUNCTIONS_LIST);

	if( pnmh->hwndFrom == var_list )
	{
		if( pnmh->code == LVN_ITEMCHANGED )
		{
			SetDisablingEditDeleteVariableButtons( hWnd );
			return true;
		}

		if( pnmh->code == UINT(NM_DBLCLK) )
		{
			Variables::WmTabCommand_EditVariable(hWnd, WM_COMMAND, IDC_BUTTON_EDIT_VARIABLE, 0);	
			return true;
		}
	}

	if( pnmh->hwndFrom == fun_list )
	{
		if( pnmh->code == LVN_ITEMCHANGED )
		{
			SetDisablingEditDeleteFunctionButtons( hWnd );
			return true;
		}

		if( pnmh->code == UINT(NM_DBLCLK) )
		{
			Functions::WmTabCommand_EditFunction(hWnd, WM_COMMAND, IDC_BUTTON_EDIT_FUNCTION, 0);
			return true;
		}
	}

return false;
}


void CreateTabMessagesTable(Messages & messages)
{
	messages.Associate(WM_INITDIALOG,			WmTabInitDialog);
	messages.Associate(WM_COMMAND,				WmTabCommand);
	messages.Associate(WM_INIT_TAB_VARIABLES,	WmInitTabVariables);
	messages.Associate(WM_INIT_TAB_FUNCTIONS,	WmInitTabFunctions);
	messages.Associate(WM_INIT_TAB_PRECISION,	WmInitTabPrecision);
	messages.Associate(WM_INIT_TAB_DISPLAY,		WmInitTabDisplay);
	messages.Associate(WM_NOTIFY,				WmNotify);
}



BOOL CALLBACK TabWindowProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
static Messages messages;

	if( messages.Empty() )
		// initiation
		CreateTabMessagesTable(messages);

return messages.Call(message, hWnd, message, wParam, lParam);
}



void SetSizeOfFunctionVariableList(int tab_id, int list_id)
{
HWND main   = GetPrgRes()->GetMainWindow();
HWND tab    = GetDlgItem(main, IDC_TAB);

POINT p,p2;
RECT r_main, r;

	HWND dialog = GetPrgRes()->GetTabWindow(tab_id);
	HWND list   = GetDlgItem(dialog, list_id);

	GetWindowRect(main, &r_main);
	int cx = r_main.right  - r_main.left;
	int cy = r_main.bottom - r_main.top;
	int border_x = GetSystemMetrics(SM_CXDLGFRAME)*2;
	int border_y = GetSystemMetrics(SM_CYDLGFRAME)*2;

	GetWindowRect(dialog, &r);
	p.x = r.left;
	p.y = r.top;
	p2  = p;
	p2.x -= r_main.left;
	p2.y -= r_main.top;
	ScreenToClient(tab,  &p);
	MoveWindow(dialog, p.x, p.y, cx-p2.x-border_x-2, cy-p2.y-border_y-2, true);

	GetWindowRect(list, &r);
	p.x = r.left;
	p.y = r.top;
	p2  = p;
	p2.x -= r_main.left;
	p2.y -= r_main.top;
	ScreenToClient(dialog, &p);
	MoveWindow(list, p.x, p.y, cx-p2.x-border_x-2, cy-p2.y-border_y-2, true);
}


void SetSizeOfVariablesList()
{
	SetSizeOfFunctionVariableList(TabWindowFunctions::tab_variables, IDC_VARIABLES_LIST);
}

void SetSizeOfFunctionsList()
{
	SetSizeOfFunctionVariableList(TabWindowFunctions::tab_functions, IDC_FUNCTIONS_LIST);
}


} // namespace TabWindowFunctions



